package helper

import (
	"log"
	"os"

	"github.com/joho/godotenv"
)

func Loadenv() {
	GetConfigFile()
	err := godotenv.Load()
	LogErrorWarning(err)
}

func GetConfigFile() {
	dotenv_exists := FileExists(".env")
	if dotenv_exists {
		godotenv.Load(".env")
		LogInfo(".env file found, using prefered values")
	} else {
		LogInfo("No .env file found, using default values")
	}
	GetDefaults()
}

func Set_logfile() {
	f, err := os.OpenFile(Log_file, os.O_RDWR|os.O_CREATE|os.O_APPEND, 0666)
	if err != nil {
		log.Fatalf("error opening file: %v", err)
	}
	defer f.Close()
	log.SetOutput(f)
}

func FileExists(filename string) bool {
	info, err := os.Stat(filename)
	if os.IsNotExist(err) {
		return false
	}
	return !info.IsDir()
}
