package helper

import "os"

func GetDefaults() {
	// Gin Variables
	// Set IP
	env_ip, present := os.LookupEnv("LISTEN_IP")
	if present {
		Ip = env_ip
	} else {
		Ip = default_ip
	}
	// Set Port
	env_port, present := os.LookupEnv("LISTEN_PORT")
	if present {
		Http_port = env_port
	} else {
		Http_port = default_port
	}
	// Log Variables
	// Set Logfile
	env_log_file, present := os.LookupEnv("LOG_FILE")
	if present {
		Log_file = env_log_file
	} else {
		Log_file = default_log_file
	}
	// Set Gin log file
	env_gin_log_file, present := os.LookupEnv("GIN_LOG_FILE")
	if present {
		Gin_log_file = env_gin_log_file
	} else {
		Gin_log_file = default_gin_log_file
	}
	// DB Variables
	// Set DB User
	env_db_user, present := os.LookupEnv("DB_USER")
	if present {
		Db_User = env_db_user
	} else {
		Db_User = default_DB_User
	}
	// Set DB Password
	env_db_pass, present := os.LookupEnv("DB_PASSWORD")
	if present {
		Db_Pass = env_db_pass
	} else {
		Db_Pass = default_DB_Pass
	}
	// Set DB Port
	env_db_port, present := os.LookupEnv("DB_PORT")
	if present {
		Db_Port = env_db_port
	} else {
		Db_Port = default_DB_Port
	}
	// Set DB Host
	env_db_host, present := os.LookupEnv("DB_HOST")
	if present {
		Db_Host = env_db_host
	} else {
		Db_Host = default_DB_Host
	}
	// Set DB Default Database
	env_db_default_db, present := os.LookupEnv("DB_DEFAULT_DATABASE")
	if present {
		Db_Default_Db = env_db_default_db
	} else {
		Db_Default_Db = default_DB_Default_db
	}
}
